package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.WxActivity;

import javax.servlet.http.HttpServletResponse;

/**
 * @author gongbiao
 */
public interface WxActivityService {

    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
    PageInfo<WxActivity> listAsPage(WxActivity record, Integer pageIndex, Integer pageSize);

    /**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxActivity getById(Long id);

    /**
     * 保存或更新实体
     *
     * @param record
     */
    ResultData saveOrUpdate(WxActivity record);


    ResultData updateStatus(WxActivity wxActivity);

    void printHtmlById(Long id, HttpServletResponse response);

    ResultData sendToCampaign(Long id);

    Integer queryStatus(Long id, Long userId);

}
